default:
	bash ./get_resources.sh
	mkdir -p build
	cd build && cmake .. && make
	@echo "\033[0;37;44mYou can now copy the directory \033[0;37;40mspintrum\033[0;37;44m to your Python installation.\033[0m"
	python3 setup.py sdist
	@echo "\033[0;37;44mYou can now copy the directory \033[0;37;40mspintrum\033[0;37;44m to your Python installation.\033[0m"
	@echo "\033[0;37;44mOr you can now use \033[0;37;40mmake install\033[0;37;44m to install to your Python3 using pip3\033[0m"
	

install:
	pip3 install dist/spintrum* --upgrade

clean:
	rm -rf 3rdparty
	rm -rf dist
	rm -rf build/*
	rm -rf __pycache__
	rm -rf spintrum.egg-info
	rm -rf spintrum/lib
	rm -rf spintrum/*.pyc
	rm -rf spintrum/__pycache__
	rm -rf CMakeCache.txt
	rm -rf CMakeFiles
	rm -rf cmake_install.cmake
	rm -rf TEMP_VERSION.txt
